=== debian/control ===
Source: ros-indigo-segbot-logical-translator
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-bwi-mapper, ros-indigo-bwi-msgs, ros-indigo-bwi-planning-common, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-map-msgs, ros-indigo-message-filters, ros-indigo-move-base-msgs, ros-indigo-multi-level-map-msgs, ros-indigo-multi-level-map-utils, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://ros.org/wiki/segbot_logical_translator
Standards-Version: 3.9.2

Package: ros-indigo-segbot-logical-translator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-bwi-mapper, ros-indigo-bwi-msgs, ros-indigo-bwi-planning-common, ros-indigo-dynamic-reconfigure, ros-indigo-map-msgs, ros-indigo-message-filters, ros-indigo-move-base-msgs, ros-indigo-multi-level-map-msgs, ros-indigo-multi-level-map-utils, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-segbot-navigation, ros-indigo-tf, ros-indigo-utexas-gdc
Description: High-level navigation application for the segbot allowing the segbot to approach and gothrough doors.
 The application can also be used to determine the segbot's logical location, as well as sense when a door in front of the robot is open or not.
